Множественные уязвимости в Attachmax

Дата публикации:
24.09.2008
Всего просмотров:
1957
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-4205
CVE-2008-4206
CVE-2008-4207
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Attachmax 2.x
Уязвимые версии: Attachmax 2.1.0, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольные SQL команды, получить доступ к важным данным и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "category" в сценарии search.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Пример:

http://[host]/index.php?page=Search&category=[SQL]

2. Уязвимость существует из-за отсутствия ограничения доступа к сценарию info.php. Удаленный пользователь может получить доступ к данным, возвращаемым функцией "phpinfo()".

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "rel_path" в сценарии config.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/config.php?rel_path=[file]

URL производителя: www.attachmax.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://e-rdc.org/v1/news.php?readmore=108

или введите имя

CAPTCHA